Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLTableSectionElement

All Superinterfaces:
  Element, HTMLElement, Node

All Known Implementing Classes:
  HTMLTableSectionElementImpl

public interface HTMLTableSectionElement
extends HTMLElement

The `THEAD` , `TFOOT` , and `TBODY` elements.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`void` | `deleteRow(int index)` Delete a row from this section.
`java.lang.String` | `getAlign()` Horizontal alignment of data in cells.
`java.lang.String` | `getCh()` Alignment character for cells in a column.
`java.lang.String` | `getChOff()` Offset of alignment character.
`HTMLCollection` | `getRows()` The collection of rows in this table section.
`java.lang.String` | `getVAlign()` Vertical alignment of data in cells.
`HTMLElement` | `insertRow(int index)` Insert a row into this section.
`void` | `setAlign(java.lang.String align)`
`void` | `setCh(java.lang.String ch)`
`void` | `setChOff(java.lang.String chOff)`
`void` | `setVAlign(java.lang.String vAlign)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getAlign

    public java.lang.String getAlign()

  Horizontal alignment of data in cells. See the `align` attribute for HTMLTheadElement for details.

### setAlign

    public void setAlign(java.lang.String align)

### getCh

    public java.lang.String getCh()

  Alignment character for cells in a column. See the char attribute definition in HTML 4.0.

### setCh

    public void setCh(java.lang.String ch)

### getChOff

    public java.lang.String getChOff()

  Offset of alignment character. See the charoff attribute definition in HTML 4.0.

### setChOff

    public void setChOff(java.lang.String chOff)

### getVAlign

    public java.lang.String getVAlign()

  Vertical alignment of data in cells. See the `valign` attribute for HTMLTheadElement for details.

### setVAlign

    public void setVAlign(java.lang.String vAlign)

### getRows

    public HTMLCollection getRows()

  The collection of rows in this table section.

### insertRow

    public HTMLElement insertRow(int index)
                          throws DOMException

  Insert a row into this section. The new row is inserted immediately before the current `index` th row in this section. If `index` is equal to the number of rows in this section, the new row is appended.
  Parameters:
    `index` - The row number where to insert a new row. This index starts from 0 and is relative only to the rows contained inside this section, not all the rows in the table.
  Returns:
    The newly created row.
  Throws:
    `DOMException` - INDEX_SIZE_ERR: Raised if the specified index is greater than the number of rows.

### deleteRow

    public void deleteRow(int index)
                   throws DOMException

  Delete a row from this section.
  Parameters:
    `index` - The index of the row to be deleted. This index starts from 0 and is relative only to the rows contained inside this section, not all the rows in the table.
  Throws:
    `DOMException` - INDEX_SIZE_ERR: Raised if the specified index is greater than or equal to the number of rows.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD